Name:		libskk
Version:	1.0.1
Release:	5%{?dist}
Summary:	Library to deal with Japanese kana-to-kanji conversion method

License:	GPLv3+
Group:		System Environment/Libraries
URL:		http://github.com/ueno/libskk
Source0:	https://bitbucket.org/libskk/libskk/downloads/%{name}-%{version}.tar.gz

BuildRequires:	vala
# FIXME switch to libgee-0.8 once this package is ready for the new libgee API
BuildRequires:	pkgconfig(gee-1.0)
BuildRequires:	json-glib-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	intltool

%description
The libskk project aims to provide GObject-based interface of Japanese
input methods.  Currently it supports SKK (Simple Kana Kanji) with
various typing rules including romaji-to-kana, AZIK, ACT, TUT-Code,
T-Code, and NICOLA.


%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        tools
Summary:	Tools for %{name}
Group:		Development/Tools
BuildRequires:	libfep-devel
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	tools
The %{name}-tools package contains tools for developing applications
that use %{name}.


%prep
%setup -q


%build
%configure --disable-static --enable-fep
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%doc README rules/README.rules COPYING
%{_libdir}/*.so.*
%{_datadir}/libskk
%{_libdir}/girepository-1.0/Skk*.typelib

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Skk*.gir
%{_datadir}/vala/vapi/*

%files tools
%{_bindir}/skk*
%{_libexecdir}/skk*
%{_mandir}/man1/skk*


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 1.0.1-4
- Rebuilt for gobject-introspection 1.41.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr  1 2013 Daiki Ueno <dueno@redhat.com> - 1.0.1-1
- new upstream release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul  2 2012 Daiki Ueno <dueno@redhat.com> - 0.0.13-1
- new upstream release

* Thu Mar 29 2012 Daiki Ueno <dueno@redhat.com> - 0.0.12-1
- new upstream release

* Tue Feb 14 2012 Daiki Ueno <dueno@redhat.com> - 0.0.11-2
- split out skk and skkfep programs into -tools subpackage

* Mon Feb 13 2012 Daiki Ueno <dueno@redhat.com> - 0.0.11-1
- new upstream release
- build with --enable-fep

* Wed Jan 25 2012 Daiki Ueno <dueno@redhat.com> - 0.0.9-1
- new upstream release

* Wed Jan 11 2012 Daiki Ueno <dueno@redhat.com> - 0.0.8-1
- new upstream release

* Fri Jan  6 2012 Daiki Ueno <dueno@redhat.com> - 0.0.7-1
- new upstream release

* Mon Dec 26 2011 Daiki Ueno <dueno@redhat.com> - 0.0.5-1
- new upstream release

* Tue Dec 20 2011 Daiki Ueno <dueno@redhat.com> - 0.0.4-1
- new upstream release
- wrap %%description
- add COPYING and README.rules to %%doc

* Fri Dec 16 2011 Daiki Ueno <dueno@redhat.com> - 0.0.2-1
- initial packaging for Fedora

